Forums Webou.net - Hébergement gratuit et sans publicités avec PHP/MySQL Webou Webou Pro
Recherche avancée  
*
Bienvenue, Invité. Veuillez vous connecter ou vous inscrire.
Avez-vous perdu votre courriel d'activation?
23 Novembre 2017, 17:24:28


Connexion avec identifiant, mot de passe et durée de la session


Pages: [1] 2 3   Bas de page
  Imprimer  
Auteur Fil de discussion: Fatal error: Invalid opcode 153/1/8  (Lu 12041 fois)
0 Membres et 1 Invité sur ce fil de discussion.
eliek
Nouveau
*
Hors ligne Hors ligne

Messages: 6


Voir le profil
« le: 07 Octobre 2014, 16:52:43 »

Bonjour,

Cela fait plusieurs jours que j'essaye d'installer mon site (http://easy-langue.webou.net), qui est construit à l'aide de Symfony2.
A la page http://easy-langue.webou.net/latest/web/, le message d'erreur suivant s'affiche : 

"Fatal error: Invalid opcode 153/1/8. in /home/eliek/public_html/latest/app/autoload.php on line 35"

Il semblerait que le problème vienne de eAccelerator. Comment y remedier ?

Merci pour votre aide,
Cordialement,

eliek
Journalisée
Forums Webou.net - Hébergement gratuit et sans publicités avec PHP/MySQL
« le: 07 Octobre 2014, 16:52:43 »

 Journalisée
MrsB
Staff Webou.net
*****
Hors ligne Hors ligne

Messages: 1 133



Voir le profil
« Répondre #1 le: 08 Octobre 2014, 00:49:19 »

... de quelle version de PHP symfony2 a-t-il besoin?
Ce que je trouve tourne plutôt autour d'un conflit de versions de PHP...
Journalisée
eliek
Nouveau
*
Hors ligne Hors ligne

Messages: 6


Voir le profil
« Répondre #2 le: 11 Octobre 2014, 17:05:14 »

Bonjour, merci pour votre réponse,

Symfony2 nécessite PHP 5.3.3.
Ce qui est surprenant, c'est que sur la page http://easy-langue.webou.net/latest/web/config.php, symfony ne me donne que des recommandations, et pas de problème majeurs, ce qui signifie que le site devrait fonctionner (il fonctionne parfaitement en local).

Cependant, peut-être l'erreur est-elle en lien avec la recommandation suivante : "Install and enable a PHP accelerator like APC (highly recommended)." ?

Merci pour votre aide…
Journalisée
MrsB
Staff Webou.net
*****
Hors ligne Hors ligne

Messages: 1 133



Voir le profil
« Répondre #3 le: 12 Octobre 2014, 19:06:50 »

Bonjour,

De plus en plus curieux:
  • On dirait qu'il manque un bout des fichiers de Symfony2: j'ai tenté d'accéder à php.ini et à parameters.ini pour voir si leurs valeurs correspondaient aux recommandations en page d'accueil et apparemment ces 2 fichiers sont absents.
  • De même, en tentant de voir de plus près le fichier qui envoie le message d'erreur, soit http://easy-langue.webou.net/latest/app/autoload.php , j'atterris sur un autre message d'erreur passablement embêtant:
    Citation
    Fatal error: Class 'Symfony\Component\ClassLoader\UniversalClassLoader' not found in /home/*****/public_html/latest/app/autoload.php on line 6
    Ce qui ressemble aussi à des fichiers qui manquent.
Pouvez-vous essayer de tout réenvoyer en écrasant ce qui est déjà dans votre dossier public_html?? De toute façon, si tout est planté et que votre version en local tourne correctement, on ne risque pas grand-chose...
Journalisée
eliek
Nouveau
*
Hors ligne Hors ligne

Messages: 6


Voir le profil
« Répondre #4 le: 13 Octobre 2014, 16:14:03 »

Bonjour,

J'ai bien tout renvoyé dans public_html, mais les problèmes persistent. La classe Symfony\Component\ClassLoader\UniversalClassLoader existe bien et est bien à sa place. Je ne comprends vraiment pas…

Cordialement,
eliek
Journalisée
Forums Webou.net - Hébergement gratuit et sans publicités avec PHP/MySQL
« Répondre #4 le: 13 Octobre 2014, 16:14:03 »

 Journalisée
MrsB
Staff Webou.net
*****
Hors ligne Hors ligne

Messages: 1 133



Voir le profil
« Répondre #5 le: 13 Octobre 2014, 21:37:01 »

Bon.

Et avec ça:
http://stackoverflow.com/questions/11536510/how-to-install-eventdispatcher-in-symfony2
ou plus précisément avec cet autoload.php au bon endroit (là où était l'ancien autoload.php):
https://github.com/symfony/symfony-standard/blob/master/app/autoload.php
...
Ça donne quoi?
Journalisée
eliek
Nouveau
*
Hors ligne Hors ligne

Messages: 6


Voir le profil
« Répondre #6 le: 15 Octobre 2014, 19:04:18 »

Merci, j'ai essayé, mais j'obtiens l'erreur suivante :

Warning: require(***/latest/app/../vendor/autoload.php) [function.require]: failed to open stream: No such file or directory in ***/latest/app/autoload.php on line 19

En fait, cette erreur provient du fait que ma version de Symfony est la 2.0.17, alors que le fichier est conçu pour la version master. J'ai essayé le fichier proposé à la page https://github.com/symfony/symfony-standard/blob/2.0/app/autoload.php, mais il est identique à mon ancien autoload.php.

Cordialement,
eliek
Journalisée
MrsB
Staff Webou.net
*****
Hors ligne Hors ligne

Messages: 1 133



Voir le profil
« Répondre #7 le: 19 Octobre 2014, 20:42:07 »

Bon, là il nous en veut vraiment.

Juste par acquit de conscience:
https://github.com/symfony/symfony-standard/blob/master/app/autoload.php
ne fonctionne pas non plus??

Journalisée
eliek
Nouveau
*
Hors ligne Hors ligne

Messages: 6


Voir le profil
« Répondre #8 le: 20 Octobre 2014, 10:35:24 »

Malheureusement, non. Je commence à perde espoir…
Journalisée
flotau
Nouveau
*
Hors ligne Hors ligne

Messages: 5


Voir le profil
« Répondre #9 le: 05 Novembre 2014, 11:29:43 »

Bonjour,
En lancant mon sript, j'obtiens ce message la:
Fatal error: Invalid opcode 153/1/8
Apres avoir regarde sur d'autres forums, il semblerait que cela vienne  eAccelator.
En allant dans le php.ini, il suffit de le mettre a "disable". Je suis conscient que sur Webou, on ne peut pas acceder au php.ini, cela dit, est-il possible de leur demander de desactiver ce parametre (etant peu utilise).
Les autres forums disent clairement que la solution semble etre de "convinced the host to disable eAccelerator".
Merci.
« Dernière édition: 11 Novembre 2014, 06:01:55 par flotau » Journalisée
MrsB
Staff Webou.net
*****
Hors ligne Hors ligne

Messages: 1 133



Voir le profil
« Répondre #10 le: 05 Novembre 2014, 18:32:57 »

Bonjour,

Je regroupe les 2 fils vu qu'il s'agit apparemment du même problème avec Symfony2.
Journalisée
flotau
Nouveau
*
Hors ligne Hors ligne

Messages: 5


Voir le profil
« Répondre #11 le: 11 Novembre 2014, 06:02:51 »

En effet, il semble que j'ai le meme probleme. Cela dit, je n'utilise pas Symfony.
Toutes suggestions me serait bien utiles.
Journalisée
deblockt
Nouveau
*
Hors ligne Hors ligne

Messages: 1


Voir le profil
« Répondre #12 le: 11 Janvier 2015, 12:04:01 »

Bonjour,

J'ai tenté de mettre mon site en ligne aujourd'hui.
Malheureusement une erreur se produit quand j’essaye de faire une requête SQL en utilisant l'ORM Doctrine :
Invalid opcode 153/1/8. in <b>/home/deblockt/public_html/vendor/doctrine/orm/lib/Doctrine/ORM/AbstractQuery.php</b> on line <b>238</b><br />

A priori cela serais du à un problème avec l'eAccelerator.

Je dépend de la version 2.4.6 de doctrine/

Avez vous une solution?

Merci.
Journalisée
lateliersurlhorizon
Nouveau
*
Hors ligne Hors ligne

Messages: 2


Voir le profil
« Répondre #13 le: 12 Janvier 2015, 22:23:12 »

Meme problème !  J'utilise le CMS Concrete 5 :
 
Citation
Fatal error: Invalid opcode 153/1/8. in /home/ash555/public_html/admin/concrete/src/Foundation/ClassLoader.php on line 40

Merci de m'aider.
Journalisée
MrsB
Staff Webou.net
*****
Hors ligne Hors ligne

Messages: 1 133



Voir le profil
« Répondre #14 le: 13 Janvier 2015, 01:25:14 »

Je regroupe à nouveau parce que nous semblons avoir à présent le même problème sur plusieurs CMS et que j'aimerais bien que nous parvenions à une solution... Ind&eacute;ci

Les personnes ayant posté les 2 derniers messages peuvent-elles tester les solutions ci-dessus, même si elles n'ont rien donné pour Symfony2?
Journalisée
Pages: [1] 2 3   Haut de page
  Imprimer  
 
Aller à:  

Propulsé par MySQL Propulsé par PHP Powered by SMF 1.1.21 | SMF © 2006, Simple Machines

Dilber MC Theme by HarzeM
Page générée en 0.022 secondes avec 21 requêtes.